org.h2.util

## Class SimpleColumnInfo

- java.lang.Object
- - org.h2.util.SimpleColumnInfo

    public final class SimpleColumnInfo
    extends java.lang.Object

Metadata of a column.

Notice: equals(Object) and hashCode() use only name field.

### Field Summary

Fields
`java.lang.String` `name` Name of the column.
`int` `precision` Precision of the column
`int` `scale` Scale of the column.
`int` `type` Type of the column, see `Types`.
`java.lang.String` `typeName` Type name of the column.

### Constructor Summary

Constructors
Constructor and Description
`SimpleColumnInfo(java.lang.String name, int type, java.lang.String typeName, int precision, int scale)` Creates metadata.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

Name of the column.

#### type

    public final int type

Type of the column, see `Types`.

#### typeName

    public final java.lang.String typeName

Type name of the column.

#### precision

    public final int precision

Precision of the column

#### scale

    public final int scale

Scale of the column.

### Constructor Detail

#### SimpleColumnInfo

    public SimpleColumnInfo(java.lang.String name,
                    int type,
                    java.lang.String typeName,
                    int precision,
                    int scale)

Creates metadata.

Parameters:
  `name` - name of the column
  `type` - type of the column, see `Types`
  `typeName` - type name of the column
  `precision` - precision of the column
  `scale` - scale of the column

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`